Update branding configuration for a status page.
PUT
/status_page/{status_page_id}/branding/
const url = 'https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branding/';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"page_title":"example","default_theme":"example","logo_s3_key":"example","favicon_s3_key":"example","og_image_s3_key":"example","primary_color":"example","accent_color":"example","header_text":"example","footer_text":"example","white_label":true,"meta_description":"example","custom_css":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branding/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "page_title": "example", "default_theme": "example", "logo_s3_key": "example", "favicon_s3_key": "example", "og_image_s3_key": "example", "primary_color": "example", "accent_color": "example", "header_text": "example", "footer_text": "example", "white_label": true, "meta_description": "example", "custom_css": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” status_page_id
required
string format: uuid
Status page identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
page_title
string | null
default_theme
string | null
logo_s3_key
string | null
favicon_s3_key
string | null
og_image_s3_key
string | null
primary_color
string | null
accent_color
string | null
header_text
string | null
footer_text
string | null
white_label
boolean | null
meta_description
string | null
custom_css
string | null
Example generated
{ "page_title": "example", "default_theme": "example", "logo_s3_key": "example", "favicon_s3_key": "example", "og_image_s3_key": "example", "primary_color": "example", "accent_color": "example", "header_text": "example", "footer_text": "example", "white_label": true, "meta_description": "example", "custom_css": "example"}Responses
Section titled “ Responses ”Branding updated
Media type application/json
object
status_page_id
required
string
page_title
string | null
default_theme
required
string
logo_s3_key
string | null
favicon_s3_key
string | null
og_image_s3_key
string | null
primary_color
string | null
accent_color
string | null
header_text
string | null
footer_text
string | null
white_label
required
boolean
meta_description
string | null
custom_css
string | null
Example generated
{ "status_page_id": "example", "page_title": "example", "default_theme": "example", "logo_s3_key": "example", "favicon_s3_key": "example", "og_image_s3_key": "example", "primary_color": "example", "accent_color": "example", "header_text": "example", "footer_text": "example", "white_label": true, "meta_description": "example", "custom_css": "example"}Invalid request body
Missing or invalid authentication
Status page not found
Internal server error